%define base_name   simple_gettext
%define name		ocaml-%{base_name}
%define version     0.1
%define release     %mkrel 9

Name:		    %{name}
Version:	    %{version}
Release: 	    %{release}
Summary:	    OCaml wrapper for the gettext library
URL:		    http://merd.net/pixel/ocaml-simple_gettext
Source0:	    http://merd.sourceforge.net/pixel/ocaml-simple_gettext/%{name}-%{version}.tar.bz2
License:	    GPL
Group:		    Development/Other
BuildRequires:  ocaml
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
OCaml wrapper for the gettext library

%package devel
Summary:    OCaml wrapper for the gettext library
Group:		Development/Other
Obsoletes:  %{name}

%description devel
OCaml wrapper for the gettext library

%prep
%setup -q -n %{base_name}-%{version}

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
%makeinstall_std OCAMLFIND= STDLIB=%{_libdir}/ocaml/site-lib

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root)
%doc README docs
%{_bindir}/*
%{_libdir}/ocaml/site-lib/%{base_name}


%changelog
* Wed Mar 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-9mdv2007.1
+ Revision: 147156
- devel package obsoletes non-devel one

* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-8mdv2007.1
+ Revision: 113235
- this is actually a devel-only package
- Import ocaml-simple_gettext



* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-7mdv2007.0
- rebuild

* Tue Apr 25 2006 Pixel <pixel@mandriva.com> 0.1-6mdk
- rebuild for new ocaml

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 0.1-5mdk
- rebuild for new ocaml

* Fri Nov  4 2005 Pixel <pixel@mandriva.com> 0.1-4mdk
- rebuild for new ocaml

* Fri May  6 2005 Pixel <pixel@mandriva.com> 0.1-3mdk
- do have files in lib64 on x86_64

* Fri May  6 2005 Pixel <pixel@mandriva.com> 0.1-2mdk
- don't _libdir since it doesn't get to lib64 on x86_64
- %%mkrel

* Tue Nov  9 2004 Pixel <pixel@mandrakesoft.com> 0.1-1mdk
- initial release
